import request from "@/utils/request"

/** 隔离圈位 — 分页列表 */
export function listIsolationPen(query) {
  return request({
    url: "/tradeMarket/isolationPen/list",
    method: "get",
    params: query
  })
}

/** 详情 */
export function getIsolationPen(id) {
  return request({
    url: "/tradeMarket/isolationPen/" + id,
    method: "get"
  })
}

/** 新增 */
export function addIsolationPen(data) {
  return request({
    url: "/tradeMarket/isolationPen",
    method: "post",
    data
  })
}

/** 修改 */
export function updateIsolationPen(data) {
  return request({
    url: "/tradeMarket/isolationPen",
    method: "put",
    data
  })
}

/** 删除 */
export function delIsolationPen(ids) {
  return request({
    url: "/tradeMarket/isolationPen/" + ids,
    method: "delete"
  })
}

/** 查询默认隔离天数配置 */
export function getIsolationSetting() {
  return request({
    url: "/tradeMarket/isolationPen/setting",
    method: "get"
  })
}

/** 保存默认隔离天数配置 */
export function updateIsolationSetting(data) {
  return request({
    url: "/tradeMarket/isolationPen/setting",
    method: "put",
    data
  })
}
